Bug 1789539 - firefox-72.0.1-1.fc31 doesn't render ANY page, all pages are blank (needs nss and nspr bump in spec file)
Summary: firefox-72.0.1-1.fc31 doesn't render ANY page, all pages are blank (needs nss...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-09 18:57 UTC by Kamil Páral
Modified: 2020-02-03 01:02 UTC (History)
15 users (show)

Fixed In Version: firefox-72.0.1-2.fc31 firefox-72.0.2-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-18 20:54:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Kamil Páral 2020-01-09 18:57:31 UTC
Description of problem:
After upgrading to firefox-72.0.1-1.fc31, the browser is completely broken for me. No page is rendered, only a white page. The URL in address bar doesn't show either, the address bar always stays empty. I have tried several browser profiles, I tried X11 and Wayland, I tried nomodeset mode. No matter what I do, the browser doesn't display ANY page.

This problem happens on my desktop. When I try the same update on my laptop, everything works fine. That makes to conclude that this is somehow hardware-related. On my laptop, there is an Intel GPU, while on my desktop (affected by the bug) I have Radeon GPU.

Similar rendering issues are reported at:
https://bodhi.fedoraproject.org/updates/FEDORA-2020-2713adc57f

This problem could've been prevented if only the relevant update for such a critical component wasn't set to autopush at mere +3 karma(!):
https://bodhi.fedoraproject.org/updates/FEDORA-2020-732a5913b6


Version-Release number of selected component (if applicable):
firefox-72.0.1-1.fc31.x86_64

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 470/480/570/570X/580/580X/590] [1002:67df] (rev e7)
Intel(R) Core(TM) i5-4570 CPU

How reproducible:
always

Steps to Reproduce:
1. run the browser and try to open any webpage
2. see a blank screen and a blank URL bar

Comment 1 Kamil Páral 2020-01-09 18:59:08 UTC
If I downgrade to firefox-71.0-15.fc31.x86_64, everything works again.

Comment 2 Kamil Páral 2020-01-09 19:21:06 UTC
I'll be happy to provide debugging logs if you tell me how. There is nothing in stdout/stderr and nothing in journal.

Comment 3 Jonathan Matthew 2020-01-10 05:22:10 UTC
I installed just the updated firefox package, and had very similar symptoms to this until I updated nss (from 3.47.1-4.fc31 to 3.48.0-1.fc31) and nspr (from 4.23.0-1.fc31 to 4.24.0-1.fc31).

Comment 4 Kamil Páral 2020-01-10 07:43:38 UTC
Bingo, thanks Jonathan! With these packages, Firefox works fine:
firefox-72.0.1-1.fc31.x86_64
nss-3.48.0-1.fc31.x86_64
nspr-4.24.0-1.fc31.x86_64

It seems Firefox's spec file needs to get those deps updated.

Comment 5 Robert Story 2020-01-13 20:17:06 UTC
I ran into the same issue, and the same fix worked.

Comment 6 Jan Pokorný [poki] 2020-01-14 17:12:25 UTC
Thanks for the solution for this crazy (and dangerously
looking at first, TBH) symptom.

Can this be, at least partially, attributed to the fallout
of "no bundling" rule here, meaning that picky (and perhaps
otherwise unpublished) dependencies on the versions of those
packages were missed (otherwise would be like that at RPM level)?

Comment 7 Fedora Update System 2020-01-16 09:19:27 UTC
FEDORA-2020-c5f18c9518 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c5f18c9518

Comment 8 Fedora Update System 2020-01-16 09:19:28 UTC
FEDORA-2020-4cee2fc1e7 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4cee2fc1e7

Comment 9 Fedora Update System 2020-01-16 21:13:09 UTC
firefox-72.0.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4cee2fc1e7

Comment 10 Fedora Update System 2020-01-16 21:39:52 UTC
firefox-72.0.1-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c5f18c9518

Comment 11 Fedora Update System 2020-01-18 20:54:24 UTC
firefox-72.0.1-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-01-24 19:47:37 UTC
firefox-72.0.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c1474367d

Comment 13 Fedora Update System 2020-02-03 01:02:34 UTC
firefox-72.0.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.